# Gimp.rectangle_intersect

    @accepts(int, int, int, int, int, int, int, int, int, int, int, int)
    @returns(bool)
    def rectangle_intersect(x1, y1, width1, height1, x2, y2, width2, height2, dest_x, dest_y, dest_width, dest_height):
        # Python wrapper for gimp_rectangle_intersect()

Calculates the intersection of two rectangles.

Since 2.4

x1

  origin of first rectangle

y1

  origin of first rectangle

width1

  width of first rectangle

height1

  height of first rectangle

x2

  origin of second rectangle

y2

  origin of second rectangle

width2

  width of second rectangle

height2

  height of second rectangle

dest_x

  return location for origin of intersection, or None

dest_y

  return location for origin of intersection, or None

dest_width

  return location for width of intersection, or None

dest_height

  return location for height of intersection, or None

Returns